[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.WriteDWordBE

Write a DWord value, big endian

## Declaration

Source position: streamex.pp line 194

`procedure TStreamHelper.WriteDWordBE(`
`dw: dword`
`);`

## Arguments

`dw` |  | DWord value to write

## Description

WriteDWordBE writes a DWord-sized value to the stream, big-endian (MSB first).

## Errors

If not all data (4 bytes) can be written, an EWriteError exception is raised.

## See also

TStreamHelper.ReadDWordBE |  | Read a DWord from the stream, big endian
TStreamHelper.WriteWordBE |  | Write a word value, big endian
TStreamHelper.WriteQWordBE |  | Write a QWord value, big endian